/*
*     ___                       ____ ___
*    / _ \___ _    _____ ____  |_  // _ \
*   / ___/ _ \ |/|/ / -_) __/ _/_ </ // /
*  /_/   \___/__,__/\__/_/   /____/____/
*
*
*   Original Code by John Garrison
*   Written August 30, 1999
*
*   To be released under the LGPL
*
*   Rendering functions
*
*   See LICENSE.TXT for more LGPL info
*/

#ifndef _p3drender_H
#define _p3drender_H

#ifdef __cplusplus
extern "C" {
#endif

#include <GL/gl.h>
#include <GL/glu.h>
#include <GL/glut.h>

#include "power3d.h"

P3D_Object P3D_CreateCamera();
int P3D_ShowCamera(P3D_Object Camera);
int P3D_ShowObject(P3D_Object Object);

#ifdef __cplusplus
};
#endif

#endif
