#ifdef __WIN32__
#include <windows.h>
#endif

#include "PowerPak/powerpak.h"
#include "PowerPak/powerinput.h"

main(int argc, char *argv[])
{
  Uint8 *keys;

  PP_Init();
  atexit(PP_Quit);

  fprintf(stderr, "Keyboard status demo. Method 2\nPress ESC to exit when the window comes up\n");

  PP_Wait(2500);

  /* Use SDL to set 640x480 video mode so as not to depend
  on the PowerDraw lib (we already rely on SDL) */
  if ( SDL_SetVideoMode(640, 480, 0, SDL_SWSURFACE) == NULL ) {
    fprintf(stderr, "Couldn't set 640x480 video mode: %s\n", SDL_GetError());
      exit(2);
  }

  while (1){
    /* The short way */
    if (PI_IsKeyDown(PIK_ESC))
      exit(0);
  }

  PP_Quit();
}
