#ifdef __WIN32__
#include <windows.h>
#endif

#include "PowerPak/powerpak.h"
#include "PowerPak/powerinput.h"

main(int argc, char *argv[])
{
  Uint8 *keys;

  PP_Init();
  atexit(PP_Quit);

  fprintf(stderr, "Mouse status demo. Method 1\nLeft Click the middle of the window when it comes up\n");

  PP_Wait(2500);

  /* Use SDL to set 640x480 video mode so as not to depend
  on the PowerDraw lib (we already rely on SDL) */
  if ( SDL_SetVideoMode(640, 480, 0, SDL_SWSURFACE) == NULL ) {
    fprintf(stderr, "Couldn't set 640x480 video mode: %s\n", SDL_GetError());
      exit(2);
  }

  while (1){
    /* The long way */
    PI_PollMouse();
    PI_GetMouseState();
    if (MOUSE_X > 290 && MOUSE_X < 350)
      if (MOUSE_Y > 210 && MOUSE_Y < 270)
        if (PI_IsMouseButtonDown(1))
          exit(0);
  }

  PP_Quit();
}
